Pular para o conteúdo principal
POST
/
api
/
v1
/
serving
/
volumes
Python (SDK)
from meetkai_mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.serving.volumes.create(name="hf-cache")

    # Handle response
    print(res)
{
  "id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "size_gb": 123
}

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Corpo

application/json

Crie um volume persistente para pesos/checkpoints.

name
string
obrigatório
Exemplo:

"hf-cache"

size_gb
integer | null

Tamanho solicitado; Nenhum para elástico

Resposta

Resposta Bem-Sucedida

Um volume persistente.

id
string
obrigatório
name
string
obrigatório
created_at
string<date-time>
obrigatório
size_gb
integer | null